define gui.dialogue_text_outlines = [ (0, "#00000080", 2, 2) ]

## Adds extra buttons to quick menu
init 1:
    screen quick_menu():
        variant "touch"
        zorder 100
        if quick_menu:
            hbox:
                style_prefix "quick"
                xalign 0.5
                yalign 0.990
                textbutton _("Back") action Rollback()
                textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
                textbutton _("Auto") action Preference("auto-forward", "toggle")
                textbutton _("Menu") action ShowMenu()
                textbutton _("Q.Save") action QuickSave()
                textbutton _("Q.Load") action QuickLoad()
                #textbutton _("Cheat Menu") action ui.callsinnewcontext("CMenuLabel")
                textbutton _("Hide UI") action renpy.curried_call_in_new_context("_hide_windows")

## Custom GUI
init 1 python:
    if renpy.variant("touch"):
        gui.quick_button_borders = Borders(40, 14, 40, 0)
    if renpy.variant("small"):
        ## Font sizes.
        gui.text_size = 30
        gui.name_text_size = 36
        gui.notify_text_size = 25
        gui.interface_text_size = 30
        gui.button_text_size = 30
        gui.label_text_size = 34

        ## Adjust the location of the textbox.
        gui.textbox_height = 240
        gui.name_xpos = 80
        gui.text_xpos = 90
        gui.text_width = 1100

        ## Change the size and spacing of various things.
        gui.slider_size = 36

        gui.choice_button_width = 900

        gui.navigation_spacing = 20
        gui.pref_button_spacing = 10

        gui.history_height = 190
        gui.history_text_width = 690

        gui.quick_button_text_size = 22

        ## File button layout.
        gui.file_slot_cols = 2
        gui.file_slot_rows = 2

        ## NVL-mode.
        gui.nvl_height = 170

        gui.nvl_name_width = 305
        gui.nvl_name_xpos = 325

        gui.nvl_text_width = 915
        gui.nvl_text_xpos = 345
        gui.nvl_text_ypos = 5

        gui.nvl_thought_width = 1240
        gui.nvl_thought_xpos = 20

        gui.nvl_button_width = 1240
        gui.nvl_button_xpos = 20
